#!/bin/sh

ROOT_DIR="/home/root/"

#music directory
MUSIC_DIR=${ROOT_DIR}"music/"
MUSIC_CH_DIR=${MUSIC_DIR}"music-ch/"
MUSIC_HK_DIR=${MUSIC_DIR}"music-hk/"
MUSIC_US_DIR=${MUSIC_DIR}"music-us/"
MUSIC_SCENE_DIR=${MUSIC_DIR}"music-scene/"

#gw-version directory
GW_VER_DIR=${ROOT_DIR}"gw-version/"

#gw prefix
GW_PREFIX="gw_lumi.gateway."

#gw name
GW_DIR="/home/root/gw"

#model
MODEL=`grep "model" /lumi/conf/device.conf | cut -d '.' -f 3`

#set flag
FLAG="/home/root/fac/set_firmware_ok"

if [ ! -f "/lumi/conf/device.conf" ];then
	exit 0
fi

#killall key_rgb

if [ "${MODEL}"x = "mitw01"x ];then
	#echo $1
	if [ -f ${FLAG} ];then
	rm ${FLAG}
	fi

	#/home/root/music/switch_music.sh ch > /tmp/null
	#cp /home/root/key_rgb.mi /home/root/key_rgb
	cp /etc/rc.local.mi /etc/rc.local
	cp /home/root/fac/lumi_gateway_mi.bin /home/root/fac/lumi_gateway.bin

	touch ${FLAG}
	sync
	#echo "set ok"
fi

if [ "${MODEL}"x = "mihk01"x ];then
	#echo $1
	if [ -f ${FLAG} ];then
	rm ${FLAG}
	fi
	
	#/home/root/music/switch_music.sh hk > /tmp/null
	#cp /home/root/key_rgb.mi /home/root/key_rgb
	cp /etc/rc.local.mi /etc/rc.local
	cp /home/root/fac/lumi_gateway_mi.bin /home/root/fac/lumi_gateway.bin

	touch ${FLAG}
	sync
	#echo "set ok"
fi

if [ "${MODEL}"x = "lmuk01"x ];then
	#echo $1
	if [ -f ${FLAG} ];then
	rm ${FLAG}
	fi
	
	touch ${FLAG}
	sync
	#echo "set ok"
fi

if [ "${MODEL}"x = "iragl01"x ];then
	#echo $1
	if [ -f ${FLAG} ];then
	rm ${FLAG}
	fi
	
	touch ${FLAG}
	sync
	#echo "set ok"
fi

if [ "${MODEL}"x = "mieu01"x ];then
	#echo $1
	if [ -f ${FLAG} ];then
	rm ${FLAG}
	fi

	#/home/root/music/switch_music.sh us > /tmp/null
	#cp /home/root/key_rgb.mi /home/root/key_rgb
	cp /etc/rc.local.mi /etc/rc.local
	cp /home/root/fac/lumi_gateway_mi.bin /home/root/fac/lumi_gateway.bin

	touch ${FLAG}
	sync
	#echo "set ok"
fi

if [[ ${MODEL} == aqhm* ]];then
	if [ -f ${FLAG} ];then
	rm ${FLAG}
	fi

	mv /home/root/gw /home/root/gw.mi
	mv /lumi/app/miio /lumi/app/miio.mi
	mkdir /lumi/app/miio && cp /lumi/app/miio.mi/wifi_start.sh /lumi/app/miio/wifi_start.sh

	#cp /home/root/key_rgb.homekit /home/root/key_rgb
	cp /etc/rc.local.homekit /etc/rc.local
	cp /home/root/fac/lumi_hub.update.bin /home/root/fac/lumi_gateway.bin 

	touch ${FLAG}
        sync
fi

MAC=`grep "mac" /lumi/conf/device.conf | cut -d '=' -f 2`
ifconfig wlan0 down
ifconfig wlan0 hw ether ${MAC}
ifconfig wlan0 up
#touch ${FLAG}
sync

/home/root/key_rgb > /dev/null 2>&1 &
