#!/bin/sh
echo 0 > /sys/class/backlight/lumi_r/brightness
echo 25 > /sys/class/backlight/lumi_g/brightness
echo 0 > /sys/class/backlight/lumi_b/brightness
sleep 0.1
echo 0 > /sys/class/backlight/lumi_r/brightness
echo 0 > /sys/class/backlight/lumi_g/brightness
echo 0 > /sys/class/backlight/lumi_b/brightness

TRANS_DATE=`date +%y%m%d%H%M` 
if [ -z "$1" ];then
    hklog_name=unkown_$TRANS_DATE.txt
else 
    hklog_name=$1
fi
echo "
open erp.aqara.com 57654
prompt                         
passive mode
user uftp 123456 
binary
put /tmp/hklog.txt $hklog_name
close                          
bye                            
"|ftp -v -n |sed 's/^/>/g' >>/tmp/run.log  


if [ -s /tmp/run.log ]                     
then
    echo "SYSTEM: FTP LOGGING SUCCESS!!!" 
    SEARCH=`grep 'bytes sent in' /tmp/run.log`
    if [ $? -eq 0 ]                     
    then
        echo "FTP transfer file OK"
        rm /tmp/run.log
        echo 0 > /sys/class/backlight/lumi_r/brightness
        echo 25 > /sys/class/backlight/lumi_g/brightness
        echo 0 > /sys/class/backlight/lumi_b/brightness

    else
        echo "FTP transfer file fail"
        #mv /tmp/run.log ${TRANS_DATE}_fail.log 
        echo 0 > /sys/class/backlight/lumi_r/brightness
        echo 0 > /sys/class/backlight/lumi_g/brightness
        echo 25 > /sys/class/backlight/lumi_b/brightness
    fi
else
    echo "SYSTEM: FTP LOGGING FAIL!!!"   
    echo 0 > /sys/class/backlight/lumi_r/brightness
    echo 0 > /sys/class/backlight/lumi_g/brightness
    echo 25 > /sys/class/backlight/lumi_b/brightness
fi

sleep 0.1
echo 0 > /sys/class/backlight/lumi_r/brightness
echo 0 > /sys/class/backlight/lumi_g/brightness
echo 0 > /sys/class/backlight/lumi_b/brightness
