#!/bin/sh

MODEL=`cat /lumi/conf/device.conf | grep "model" | cut -d '=' -f 2`

if [ -f "/home/root/fac/temp_gateway.bin" ];then
	rm /home/root/fac/temp_gateway.bin
fi

#Homekit
if [ -f "/home/root/fac/lumi_gateway.bin" ] && [[ $MODEL == lumi.gateway.aqhm* ]];then

	/home/root/hkbridge/control_light.sh &
    
	/home/root/hkbridge/factory_reset

	cp /home/root/fac/lumi_gateway.bin /tmp/hk_update.bin && cd /tmp && tar jxvf hk_update.bin

	cd /tmp/lumi_hub.update && ./update.sh

	sync

fi
#MI
if [[ $MODEL == lumi.gateway.mi* ]];then

	/home/root/music/switch_music.sh `cat /home/root/music/factory_language` 	
	if [ -f "/home/root/fac/lumi_gateway.bin" ];then

		cp /home/root/fac/lumi_gateway.bin /tmp/mi_update.bin && cd /tmp && tar jxvf mi_update.bin

		cd /tmp && ./update.sh

		sync
	else
		reboot
	fi
fi

sync
